﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization.Json;
using System.Runtime.Serialization;

namespace RenrenImportProcess
{
    /// <summary>
    /// Summary description for RenrenContactsXml
    /// </summary>
    [DataContract]
    public class RenrenContactsMain
    {
        [DataMember]
        public int type { get; set; }
        [DataMember]
        public List<RenrenContactsPreList> list { get; set; }
        [DataMember]
        public RenrenContactsUser user { get; set; }
    }


    [DataContract]
    public class RenrenContactsPreList
    {
        [DataMember]
        public int type { get; set; }
        [DataMember]
        public List<RenrenContactsList> list { get; set; }
    }


    [DataContract]
    public class RenrenContactsList
    {
        [DataMember]
        public string id { get; set; }
        [DataMember]
        public string fname { get; set; }
        [DataMember]
        public string name { get; set; }
        [DataMember]
        public string phone { get; set; }
        [DataMember]
        public int? type { get; set; }

    }


    [DataContract]
    public class RenrenContactsDetail
    {
        [DataMember]
        public long id { get; set; }
        [DataMember]
        public string name { get; set; }
        [DataMember]
        public string head { get; set; }
        [DataMember]
        public string msn { get; set; }
        [DataMember]
        public string phone { get; set; }
        [DataMember]
        public string qq { get; set; }
        [DataMember]
        public string email { get; set; }
        [DataMember]
        public string address { get; set; }
        [DataMember]
        public List<string> privacy { get; set; }
        [DataMember]
        public bool isOnline { get; set; }
        [DataMember]
        public long code { get; set; }
        [DataMember]
        public long type { get; set; }
    }

    [DataContract]
    public class RenrenContactsUser
    {
        [DataMember]
        public string id { get; set; }
        [DataMember]
        public string name { get; set; }
        [DataMember]
        public string head { get; set; }
        [DataMember]
        public string msn { get; set; }
        [DataMember]
        public string phone { get; set; }
        [DataMember]
        public string qq { get; set; }
        [DataMember]
        public string email { get; set; }
        [DataMember]
        public string address { get; set; }
        [DataMember]
        public string bak { get; set; }
        [DataMember]
        public List<string> privacy { get; set; }
    }

    [DataContract]
    public class RenrenPersonalContactInfo
    {
        [DataMember]
        public string qq { get; set; }
        [DataMember]
        public string msn{ get; set; }
        [DataMember]
        public string mobile { get; set; }
        [DataMember]
        public string hp { get; set; }
    }


}
