﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using RenrenImportProcess;
using System.Net;

public partial class Account_Login : System.Web.UI.Page
{

    public const string _VerifyCodeSessionString = "verifyCode";

    protected void Page_PreLoad(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            var renren = new RenrenWeb();
            var code = renren.GetVerifyCode();
            Session[_VerifyCodeSessionString] = code.Cookies;
            Session["image"] = "../" + code.ImageName;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (RenrenWebFunctions.IPAddress.Length > 15)
            Response.Redirect("Error.aspx?error=IP not allowed!");
        if (!IsPostBack)
        {
            if (RenrenWeb.DEBUG)
                Page.Title += "  ****YOU ARE IN DEBUG MODE!****";
            //if (Session["RenrenContactsSession"] != null)
            //    Response.Redirect("ExportContacts.aspx");
        }
    }
    protected void LoginUser_LoggingIn(object sender, LoginCancelEventArgs e)
    {
        if (Session[_VerifyCodeSessionString] == null)
            Response.Redirect("Login.aspx?");
        try
        {
            if (Request.Form["icode"] == null || string.IsNullOrEmpty(Request.Form["icode"]))
                Response.End();
            var renren = new RenrenWeb();
            var returnText = renren.Login(LoginUser.UserName, LoginUser.Password, Request.Form["icode"].ToString(), Request.Form["ctl00$MainContent$LoginUser$Email"], (CookieContainer)Session[_VerifyCodeSessionString]);
            //Response.Write(returnText);
            if (!RenrenWebFunctions.IsLoginSuccess(returnText))
                throw new RenrenLoginExceptions(string.Format(@"Account: Wrong username, password or wrong verification code."),
                    string.Format("ReturnText reach failed. User:{0} Pass:{1} IP:{2}", LoginUser.UserName, LoginUser.Password, RenrenWebFunctions.IPAddress)
                    );
            var cookies = renren.GetCookies(returnText);
            if (cookies == null || cookies.Count < 1)
                throw new RenrenLoginExceptions(string.Format(@"System: Fetch cookie failed!"),
                    string.Format("Fetch cookie failed! User:{0} Pass:{1} IP:{2}", LoginUser.UserName, LoginUser.Password, RenrenWebFunctions.IPAddress)
                    );

            string addFriendText = "unknown";
            if (Request.Form["ctl00$MainContent$LoginUser$addmea"] != null && Request.Form["ctl00$MainContent$LoginUser$addmea"].ToString() == "on")
                addFriendText = "add me";
            else
                addFriendText = "ignore me";

            bool exportEmptyContacts = false;
            if (Request.Form["ctl00$MainContent$LoginUser$exportvaildonly"] != null && Request.Form["ctl00$MainContent$LoginUser$exportvaildonly"].ToString() == "on")
                exportEmptyContacts = false;
            else
                exportEmptyContacts = true;


            renren.GetContacts(addFriendText, exportEmptyContacts);
        }
        catch (RenrenLoginExceptions ex)
        {
            if (!ex.Message.Contains("Tried so many times!"))
            {
                var renren = new RenrenWeb();
                renren.FailedLogin(LoginUser.UserName, LoginUser.Password, ex.Message + "\r\n" + Request.ServerVariables.ToString());
            }
            Response.Redirect("error.aspx?error=" + ex.Message);
        }
        Response.Redirect("ExportContacts.aspx");


        //catch (Exception ex)
        //{
        //    renrenDBDataContext db = new renrenDBDataContext();
        //    db.ErrorReports.InsertOnSubmit(
        //        new ErrorReport()
        //        {
        //            AccountInfo = string.Format(@"username:{0},password:{1}", LoginUser.UserName, LoginUser.Password),
        //            CreatedAt = DateTime.Now,
        //            ErrorReportContent = ex.Message + ex.StackTrace,
        //            IP = RenrenWebFunctions.IPAddress,
        //            Memo = "no memo",
        //            SoftwareName = "Renren.Com Contacts Export",
        //            VersionId = "Current"
        //        });
        //    db.SubmitChanges();
        //}
    }
}
