﻿using System;
using System.Collections.Generic;
using System.Web;
using System.IO;
using System.Text;

/// <summary>
/// Summary description for RenrenWebFunctions
/// </summary>
static public class RenrenWebFunctions
{
    //<html>
    //<form method=post action=http://www.renren.com/PLogin.do>
    //<input type=textbox name=email value=13588864866 />
    //<input type=textbox name=password value= />
    //<input type=textbox name=domain value=renren.com />
    //<input type=textbox name=isplogin value=true />
    //<input type=submit name=submit value=登录 />
    //</form>
    //</html>

    static public string GetLoginPostData(string username, string password, string verifyCode)
    {
        return string.Format(
               @"email={0}&password={1}&icode={2}&origURL=http%3A%2F%2Fwww.renren.com%2Fhome&domain=renren.com&key_id=1",//&isplogin=true&submit=登录",
               HttpUtility.UrlEncode(username),
               HttpUtility.UrlEncode(password),
               verifyCode
               );
    }

    static public bool IsLoginSuccess(string responseText)
    {
        if (responseText.Contains(@"http://www.renren.com/callback.do?t="))
            return true;
        else
            return false;
    }

    public static bool IsIPAddress(string str1) { if (str1 == null || str1 == string.Empty || str1.Length < 7 || str1.Length > 15) return false; string regformat = @"^\d{1,3}[\.]\d{1,3}[\.]\d{1,3}[\.]\d{1,3}$"; System.Text.RegularExpressions.Regex regex = new System.Text.RegularExpressions.Regex(regformat, System.Text.RegularExpressions.RegexOptions.IgnoreCase); return regex.IsMatch(str1); }


    //因为使用了Squid做负载，因此需要使用HTTP头获得真实IP地址
    public static string IPAddress
    {
        get
        {
            string result = String.Empty;
            result = HttpContext.Current.Request.ServerVariables["HTTP_X_FORWARDED_FOR"];
            if (!string.IsNullOrEmpty(result))
            {
                //可能有代理 
                if (result.IndexOf(".") == -1)     //没有“.”肯定是非IPv4格式 
                    result = null;
                else
                {
                    if (result.IndexOf(",") != -1)
                    {
                        //有“,”，估计多个代理。取第一个不是内网的IP。 
                        result = result.Replace(" ", "").Replace("'", "");
                        string[] temparyip = result.Split(",;".ToCharArray());
                        for (int i = 0; i < temparyip.Length; i++)
                        {
                            if (IsIPAddress(temparyip[i])
                                && temparyip[i].Substring(0, 4) != "127."
                                && temparyip[i].Substring(0, 3) != "10."
                                && temparyip[i].Substring(0, 7) != "192.168"
                                && temparyip[i].Substring(0, 7) != "172.16.")
                            {
                                return temparyip[i];     //找到不是内网的地址 
                            }
                        }
                    }
                    else if (IsIPAddress(result)) //代理即是IP格式 
                        return result;
                    else
                        result = null;     //代理中的内容 非IP，取IP 
                }

            }

            string IpAddress = (HttpContext.Current.Request.ServerVariables["HTTP_X_FORWARDED_FOR"] != null && HttpContext.Current.Request.ServerVariables["HTTP_X_FORWARDED_FOR"] != String.Empty) ? HttpContext.Current.Request.ServerVariables["HTTP_X_FORWARDED_FOR"] : HttpContext.Current.Request.ServerVariables["REMOTE_ADDR"];
            if (null == result || result == String.Empty)
                result = HttpContext.Current.Request.ServerVariables["REMOTE_ADDR"];
            if (result == null || result == String.Empty)
                result = HttpContext.Current.Request.UserHostAddress;
            return result;
        }
    }

    // public RenrenWebFunctions()
    //{
    //    //
    //    // TODO: Add constructor logic here
    //    //
        
    //}
}