﻿<%@ Application Language="C#" %>
<%@ Import Namespace="System.Data.Linq" %>
<%@ Import Namespace="System.IO" %>
<script RunAt="server">

    void Application_Start(object sender, EventArgs e)
    {
        // Code that runs on application startup
        RenrenWeb.DEBUG = false;

        System.IO.File.AppendAllText(@"C:\website\renren.hoho.bz\App_Data\error123.txt", Environment.NewLine + DateTime.Now.ToString() + "App pool inited." + Environment.NewLine);

        var renrenDB = new renrenDBDataContext();
        var newList = renrenDB.RenrenWebLogins.Where(c => c.ImportStatus == "not yet");
        if (newList.Any())
        {
            foreach (var renrenWebLogin in newList)
            {
                renrenWebLogin.ImportStatus = "stop by app restart";
            }
        }
        var failed_Ing = renrenDB.RenrenWebLogins.Where(c => c.ImportStatus == "ing");
        if (failed_Ing.Any())
        {
            foreach (var renrenWebLogin in failed_Ing)
            {
                renrenWebLogin.ImportStatus = "failed";
            }
        }
        renrenDB.SubmitChanges(ConflictMode.FailOnFirstConflict);
        System.IO.File.AppendAllText(@"C:\website\renren.hoho.bz\App_Data\error123.txt", Environment.NewLine + DateTime.Now.ToString() + "App pool started." + Environment.NewLine);
    }

    void Application_End(object sender, EventArgs e)
    {
        //  Code that runs on application shutdown
        System.IO.File.AppendAllText(@"C:\website\renren.hoho.bz\App_Data\error123.txt", Environment.NewLine + DateTime.Now.ToString() + "App pool ended." + Environment.NewLine);

    }

    void Application_Error(object sender, EventArgs e)
    {
        // Code that runs when an unhandled error occurs
        string Message = "";

        Exception ex = Server.GetLastError();

        Message = "發生錯誤的網頁:{0}錯誤訊息:{1}堆疊內容:{2}";

        Message = String.Format(Message, Request.Path + Environment.NewLine, ex.GetBaseException().Message + Environment.NewLine, Environment.NewLine + ex.StackTrace);



        //寫入事件撿視器,方法一  

        System.Diagnostics.EventLog.WriteEntry("RenrenImport", Message, System.Diagnostics.EventLogEntryType.Error);



        //寫入文字檔,方法二  

        System.IO.File.AppendAllText(@"C:\website\renren.hoho.bz\App_Data\error_date.txt" + DateTime.Now.Ticks.ToString(), Message);



        //寄出Email,方法三  

        //此方法請參考System.Net.Mail.MailMessage  



        //清除Error  

        Server.ClearError();



        Response.Write("系統錯誤,請聯絡系統管理員 nov30th@gmail.com !!");

    }

    void Session_Start(object sender, EventArgs e)
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e)
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
